/* #preloader {
	position: fixed;
	left: 0;
	top: 0;
	height: 100vh;
	width: 100%;
	z-index: 1000000000000000000;
	display: flex;
}

#preloader:before,
#preloader:after {
	content: "";
	position: absolute;
	left: 0;
	top: 0;
	width: 50%;
	height: 100%;
	z-index: -1;
	background-color: rgba(0, 0, 0, 0.798);
	-webkit-transition: all 0.3s ease 0s;
	-o-transition: all 0.3s ease 0s;
	transition: all 0.3s ease 0s;
}

#preloader:after {
	left: auto;
	right: 0;
}

#preloader .loader_line {
	margin: auto;
	width: 0px;
	height: 250px;
	position: relative;
	overflow: hidden;
	-webkit-transition: all 0.8s ease 0s;
	-o-transition: all 0.8s ease 0s;
	transition: all 1s ease 1s;
}

.loader_line:before {
	content: "";
	position: absolute;
	left: 0;
	top: 50%;
	width: 1px;
	height: 0%;
	-webkit-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	-o-transform: translateY(-50%);
	transform: translateY(-50%);
	background-color: #fff;
	-webkit-animation: lineheight 1000ms ease-in-out 0s forwards;
	-o-animation: lineheight 1000ms ease-in-out 0s forwards;
	animation: lineheight 1000ms ease-in-out 0s forwards;
}

.loader_line:after {
	content: "";
	position: absolute;
	left: 0;
	top: 0;
	width: 1px;
	height: 100%;
	background-color: #999999;
	-webkit-transform: translateY(-100%);
	-ms-transform: translateY(-100%);
	-o-transform: translateY(-100%);
	transform: translateY(-100%);
	-webkit-animation: lineround 1200ms linear 0s infinite;
	-o-animation: lineround 1200ms linear 0s infinite;
	animation: lineround 1200ms linear 0s infinite;
	animation-delay: 2000ms;
}

@keyframes lineheight {
	0% {
		height: 0%;
	}
	100% {
		height: 100%;
	}
}
@keyframes lineround {
	0% {
		-webkit-transform: translateY(-100%);
		-ms-transform: translateY(-100%);
		-o-transform: translateY(-100%);
		transform: translateY(-100%);
	}
	100% {
		-webkit-transform: translateY(200%);
		-ms-transform: translateY(200%);
		-o-transform: translateY(200%);
		transform: translateY(200%);
	}
}
.portfolio_list {
	min-height: 50vh;
}

hiding all
.preloaded .loader_line:after {
	opacity: 0;
}

.preloaded .loader_line {
	opacity: 0;
	height: 100% !important;
}

.preloaded:before,
.preloaded:after {
	-webkit-animation: preloadedzero 300ms ease-in-out 500ms forwards;
	-o-animation: preloadedzero 300ms ease-in-out 500ms forwards;
	animation: preloadedzero 300ms ease-in-out 500ms forwards;
}

@keyframes preloadedzero {
	0% {
		width: 50%;
	}
	100% {
		width: 0%;
	}
} */

/* 2222222 */
/* .loader_line svg {
	position: absolute;
	width: 340px !important;
	height: 120px;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	margin: auto;
}

svg #plug,
svg #socket {
	fill: #fdb515;
	fill: rgba(254, 88, 22, 0.713);
}

svg #loop-normal {
	fill: none;
	stroke: #007402b0;
	stroke-width: 12;
}

svg #loop-offset {
	display: none;
} */

/* 2222222 */
:root {
	--red: #ff0000;
	--orange: #ff9100;
	--yellow: #fff200;
	--yellow-green: #d7fc03;
	--green: #00ff00;
	--blue: #0000ff;
	--black: rgb(0, 0, 0);
	--gray: #ffffff;
	--white: #ffffff;
}

.loader1 {
	width: 100px;
	height: 225px;
	margin: 0 auto;
	position: abs;
}

.battery-head {
	background: var(--black);
	width: 40px;
	height: 20px;
	margin: 0 auto;
	border: 4px solid var(--gray);
	border-top-right-radius: 8px;
	border-top-left-radius: 8px;
}

.battery-body {
	background: var(--black) !important;
	width: 100px !important;
	height: 200px !important;
	margin: 0 auto !important;
	border: 4px solid var(--gray) !important;
	border-radius: 18px !important;
	position: relative !important;
}

i.fa-bolt {
	color: var(--white);
	font-size: 40px;
	position: absolute;
	left: 38%;
	top: 40%;
	z-index: 1;
	animation: battery-bolt 0s linear infinite;
}

.charge {
	width: 100%;
	border-radius: 14px;
	position: absolute;
	bottom: 0;
	animation: battery-charge 1.2s linear infinite;
}

@keyframes battery-bolt {
	50% {
		transform: scale(1.3);
	}

	100% {
		transform: scale(1);
	}
}

@keyframes battery-charge {
	0% {
		height: 0%;
		background: var(--red);
	}

	25% {
		height: 25%;
		background: var(--orange);
	}

	50% {
		height: 50%;
		background: var(--yellow);
	}

	75% {
		height: 75%;
		background: var(--yellow-green);
	}

	100% {
		height: 100%;
		background: var(--green);
	}
}

body {
	position: relative !important;
	top: 0 !important;
}


.preloader-new {
	height: 100vh;
	width: 100%;
	display: flex;
	align-items: center;
	position: fixed !important;
	z-index: 1000000;
	top: 0 !important;

	/* left: 45%; */
}

/* body.loaded .preloader1, */
body.loaded .preloader-new {
	opacity: 0 !important;
	pointer-events: none !important;
	display: none !important;
	position: fixed !important;
	justify-content: center !important;
	align-items: center !important;
	height: 0vh !important;

}

.preloader-new {
	background-color: #0a9642e4 !important;
}